package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程节点待审批人 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/16
 */
public class FlowTaskApprovePeopleAllResult implements Serializable {

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程审批人列表")
    private List<FlowTaskApprovePeopleResult> approveUserList;

    public FlowTaskApprovePeopleAllResult() {

    }

    public FlowTaskApprovePeopleAllResult(Long flowId) {
        this.flowId = flowId;
    }

    public FlowTaskApprovePeopleAllResult(List<FlowTaskApprovePeopleResult> approveUserList) {
        this.approveUserList = approveUserList;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public List<FlowTaskApprovePeopleResult> getApproveUserList() {
        return approveUserList;
    }

    public void setApproveUserList(List<FlowTaskApprovePeopleResult> approveUserList) {
        this.approveUserList = approveUserList;
    }
}
